%%%%% PSVR code: Taoreed O. Owolabi

  close all;
   %load polymerbandgap_revisedd
     load polymerrefractive_revisitedd;

C =73.6036;
lambda = 1e-7;
epsilon =0.217;
kerneloption =0.2671;
kernel='gaussian';
  %kernel='polyhomog';
%kernel='sigmoid';
%kernel='poly';
verbose=1;

%%
%%
%%
 [xsup,ysup,w,w0] = svmreg(xtr,ytr,C,epsilon,kernel,kerneloption,lambda,verbose);


ytrpred = svmval(xtr,xsup,w,w0,kernel,kerneloption);

%%%%%%% for tesing data
ytspred = svmval(xts,xsup,w,w0,kernel,kerneloption);

%%%%% training performance evaluation
cc=corrcoef([ytr,ytrpred]);
cctr=cc(2);
RMSEtr= sqrt(mean(abs(ytr - ytrpred).^2));
MAEtr= mean(abs(ytr - ytrpred));

%%%%% training performance evaluation
cc=corrcoef([yts,ytspred]);
ccts=cc(2);
RMSEts= sqrt(mean((abs(yts - ytspred)).^2));
MAEts= mean(abs(yts - ytspred));


training=[ytr,ytrpred]
testing=[yts,ytspred]
traininperformance=[cctr,RMSEtr,MAEtr]
testingperformance=[ccts,RMSEts,MAEts]
MAPE=mean((((abs(yts - ytspred))./yts))*100);
MAPEtr=mean((((abs(ytr - ytrpred))./ytr))*100);
   
%     end
% end

